<?php 

/* Movies post type*/

function post_type_movies() {
register_post_type(
                    'movies', 
                    array( 'public' => true,
					 		'publicly_queryable' => true,
							'has_archive' => true, 
							'hierarchical' => false,
							'menu_icon' => get_stylesheet_directory_uri() . '/images/movie.png',
                    		'labels'=>array(
    									'name' => _x('فیلم ها', 'post type general name'),
    									'singular_name' => _x('فیلم', 'post type singular name'),
    									'add_new' => _x('اضافه کردن فیلم', 'Movies'),
    									'add_new_item' => __('اضافه کردن فیلم'),
    									'edit_item' => __('ویرایش فیلم'),
    									'new_item' => __('فیلم جید'),
    									'view_item' => __('دیدن فیلم'),
    									'search_items' => __('جستجو در فیلم ها'),
    									'not_found' =>  __('فیلمی پیدا نشد'),
    									'not_found_in_trash' => __('فیلمی در زباله دان نیست'), 
    									'parent_item_colon' => ''
  										),							 
                            'show_ui' => true,
							'menu_position'=>5,
							'query_var' => true,
							'rewrite' => TRUE,
							'rewrite' => array( 'slug' => 'movie', 'with_front' => FALSE,),
							'register_meta_box_cb' => 'mytheme_add_box',
							'supports' => array(
							 			'title',
										'thumbnail',
										'comments',
										'editor'
										)
							) 
					);
				} 
add_action('init', 'post_type_movies');

/* Movie genre taxonomy */

function create_movie_genre_taxonomy() 
{
$labels = array(
	  						  'name' => _x( 'ژانر فیلم', 'taxonomy general name' ),
    						  'singular_name' => _x( 'movie-genre', 'taxonomy singular name' ),
    						  'search_items' =>  __( 'جستجو در ژانر فیلم' ),
   							  'all_items' => __( 'همه ی ژانر ها' ),
    						  'parent_item' => __( 'ژانر مادر' ),
   					   		  'parent_item_colon' => __( 'ژانر مادر:' ),
   							  'edit_item' => __( 'ویرایش ژانر فیلم' ), 
  							  'update_item' => __( 'آپدیت ژانر فیلم' ),
  							  'add_new_item' => __( 'اضافه کردن ژانر فیلم جدید' ),
  							  'new_item_name' => __( 'نام ژانر جدید' ),
); 	
register_taxonomy('movie-genre',array('movies'), array(
    'hierarchical' => true,
    'labels' => $labels,
    'show_ui' => true,
    'query_var' => true,
    'rewrite' => array( 'slug' => 'movie-genre' ),
  ));
}

add_action( 'init', 'create_movie_genre_taxonomy', 0 );

?>